## build-hat 0.5.12

=== debian/changelog ===
build-hat (0.5.12-0ubuntu1) mantic; urgency=medium

  * New upstream release.
  * Bump standards version; no changes required

 -- Dave Jones <dave.jones@canonical.com>  Tue, 08 Aug 2023 16:05:19 +0100

build-hat (0.5.8-0ubuntu1) mantic; urgency=medium

  * Initial upload for Ubuntu (LP: #1969930)

 -- Dave Jones <dave.jones@canonical.com>  Fri, 22 Apr 2022 11:46:09 +0100

## build-hat 0.6.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#
# Heavily trimmed from the version used for Flipper

PYTHON = python3
BUILD = sphinx-build

BUILDDIR = build
GENRSTDIR = genrst

# Force rebuilds from scratch for consistency
FORCE = -E

SFLAGS = -d $(BUILDDIR)/doctrees .


.PHONY: clean html

clean:
	rm -rf $(BUILDDIR)/*
	rm -f $(GENRSTDIR)/*

html:
	$(BUILD) $(FORCE) -b html $(SFLAGS) $(BUILDDIR)/html

latex:
	$(BUILD) $(FORCE) -b latex $(SFLAGS) $(BUILDDIR)/latex

=== debian/changelog ===
build-hat (0.6.0-0ubuntu1) noble; urgency=medium

  * New upstream release.
  * d/watch: Fix regex
  * d/python-build-hat-doc.lintian-overrides: removed last (redundant)
    override

 -- Dave Jones <dave.jones@canonical.com>  Tue, 12 Dec 2023 10:03:18 +0000

=== debian/control ===
Source: build-hat
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Dave Jones <dave.jones@canonical.com>
Homepage: https://github.com/RaspberryPiFoundation/python-build-hat
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-setuptools,
 python3-all,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3-gpiozero,
 python3-serial,
Standards-Version: 4.6.2
Rules-Requires-Root: no

Package: python3-build-hat
Architecture: armhf arm64
Depends: ${python3:Depends}, ${misc:Depends}
Suggests: python-build-hat-doc
Description: Python library for the Raspberry Pi Build HAT
 The Python Build HAT library supports the Raspberry Pi Build HAT, an add-on
 board for the Raspberry Pi computer, which allows control of up to four LEGO
 TECHNIC motors and sensors included in the SPIKE Portfolio.
 .
 This package installs the library for Python 3.

Package: python-build-hat-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: Python library for the Raspberry Pi Build HAT, documentation
 The Python Build HAT library supports the Raspberry Pi Build HAT, an add-on
 board for the Raspberry Pi computer, which allows control of up to four LEGO
 TECHNIC motors and sensors included in the SPIKE Portfolio.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=build-hat

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. sphinx-build -N -bhtml docs/ build/html

override_dh_installdocs:
	dh_installdocs --doc-main-package=python3-build-hat -ppython-build-hat-doc
	dh_installdocs -ppython3-build-hat

=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v@ANY_VERSION@\.tar\.gz/@PACKAGE@_$1\.orig\.tar\.gz/ \
  https://github.com/RaspberryPiFoundation/python-build-hat/tags .*/v@ANY_VERSION@\.tar\.gz
